﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Steema.TeeChart.WPF;
using Steema.TeeChart.WPF.Styles;
using System.IO;
using System.Windows.Markup;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            MyTChart.Series.Add(new Bar());
            Bar series = MyTChart[0] as Bar;
            series.Brush.ForegroundColor = Colors.Black;
            GeometryDrawing drawing = new GeometryDrawing(Brushes.Black, new Pen(Brushes.Black, 1), new LineGeometry(new Point(0, 10), new Point(10, 0)));
            series.Brush.Drawing = drawing;
            MyTChart.Aspect.View3D = false;
            for (int i = 0; i < 10; i++)
            {
                series.Add(i);
            }
            series.ShowInLegend = false;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Microsoft.Win32.SaveFileDialog saveDialog = new Microsoft.Win32.SaveFileDialog();
            if (saveDialog.ShowDialog() == true)
            {
                MyTChart.Export.Image.XAML.Save(saveDialog.FileName);                
            }
        }
    }
}
